none
Problem with .NET Framework 3.0 Service Pack 1 installation Over already installed .NET Framework 3.0 RRS feed

  • Question

  • Hello

    I encounter an issue with installing the SP1 of .NET Framework 3.0 (Please pay attention that I am trying to install only the SP1)
    The platform is: Windows Server 2003 Enterprise x64 Edition Service Pack 1
    As I mentioned , The .NET Framework 3.0 is already installed , The version which installed is: 3.0.4506.30

    How I checked it ? I used the following articles:

    http://support.microsoft.com/kb/318785/en-us
    and after that
    http://stackoverflow.com/questions/199080/how-to-detect-what-net-framework-versions-and-service-packs-are-installed

    The Windows Installer version which is installed is: 3.1.4000.4042

    How I checked it ? I used the following articles:

    http://msdn.microsoft.com/en-us/library/aa371185(VS.85).aspx
    and after that
    http://blogs.msdn.com/windows_installer_team/archive/2005/08/05/448386.aspx

    I would like to mention that the server is working as Virtual server , So the server which I try to install the SP1 is Virtual Server.
    I am using Virtuozzo for implmenting the Virtualization.

    So now we know that we met the prerequisites for deploying the SP1 of .NET Framework 3.0

    The Print Spooler service is set to automatically and the status of the service is Started
    The Cryptographic Services is set to automatically and the status of the service is Started

    Now let's move to the issue which I encounter:

    I get the following errors:

    [01/16/09,17:49:49] XPSEPSC x64 Installer: [2] CGenericComponent::Install() expects the setup file for XPSEPSC x64 Installer but fails to get it

    [01/16/09,17:49:50] setup.exe: [2] ISetupComponent::Pre/Post/Install() failed in ISetupManager::InternalInstallManager() with HRESULT -2147467259.

    [01/16/09,17:49:53] WapUI: [2] DepCheck indicates XPSEPSC x64 Installer is not installed.

    Saturday, January 17, 2009 7:20 AM

Answers

  • I figure out how to resolve the issue.
    I have installed manually the file XPSEPSC-amd64-en-US.exe which came from the installtion of .NET Framework 3.5 and
    There is need to download the full installation package of NET Framework 3.5 and then to extract it using the /x argument and then only to install the XPSEPSC-amd64-en-US.exe

    After that there was no error msg regarding XPSEPSC

    but then I encounter a new issue.

    [01/17/09,09:53:01] Microsoft .NET Framework 3.0SP1 x64: [2] CGenericComponent::Install() expects the setup file for Microsoft .NET Framework 3.0SP1 x64 but fails to get it
    [01/17/09,09:53:02] setup.exe: [2] ISetupComponent::Pre/Post/Install() failed in ISetupManager::InternalInstallManager() with HRESULT -2147467259.
    [01/17/09,09:53:08] WapUI: [2] DepCheck indicates Microsoft .NET Framework 3.0SP1 x64 is not installed.

    So i figure out that the file NetFx30SP1_x64.exe is missing

    So I used the article:

    http://social.msdn.microsoft.com/Forums/en-US/netfxsetup/thread/1b49eb80-093a-4201-982d-b525a5e90c70/

    and download directly the file NetFx30SP1_x64.exe

    I used the following link:

    http://go.microsoft.com/fwlink/?LinkId=98106

    after that I succeed to install the SP1 of Microsoft .NET Framework 3.0SP1 x64

    it took me some time (24 hours actually) but in last I resolve the issue by my self

    but as you can see I also provided how I resolve the issue because that all the community can use the steps I used.
    • Marked as answer by Figo Fei Monday, January 19, 2009 5:14 AM
    Saturday, January 17, 2009 8:37 AM